testing/networkmanager-l2tp: use strongswan instead of libreswan

libreswan currently cannot validate IKE, due to an assertion failure (see #11656).

A patch to the libreswan package is required to fix this, which is upstream of our
package, but not yet implemented in 3.32. Libreswan additionally does not support
3des-sha1-modp1024, which is needed for l2tp VPNs created by devices like the Cisco Meraki.

Strongswan has neither of these issues.
Status Job ID Name Coverage
  Lint
passed #213044
x86_64 docker-alpine
lint

00:00:24

 
  Build
passed #213049
aarch64 ci-build docker-alpine
build-aarch64

00:02:15

passed #213050
armv7 ci-build docker-alpine
build-armv7

00:01:44

passed #213048
ppc64le ci-build docker-alpine
build-ppc64le

00:02:06

passed #213047
s390x ci-build docker-alpine
build-s390x

00:00:54

passed #213046
x86 ci-build docker-alpine
build-x86

00:01:04

passed #213045
x86_64 ci-build docker-alpine
build-x86_64

00:01:07